{% extends 'base.html.twig' %}


{% block stylesheets %}
    {{ parent()}}
    <link rel="stylesheet" href="assets/css/principal.css" type="text/css">
{% endblock %}   

{% block body %}
    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>

    <h1 class="titulo"> Todas las péliculas </h1>
    <div>
        {{form_start(form_ordena)}}
        {{form_widget(form_ordena)}}
        {{form_end(form_ordena)}}
    </div>
    <div class="container">

        {% for produccion in producciones %}

            <a href="{{ path('detail',{'id':produccion.idProduccion}) }}">
                <div class="card" style="width: 18rem;">
                    <div class="card-body">

                        <img class="card-img-top" src="fotos/{{ produccion.cartel }}" alt="Card image cap" style="width:250px;">
                        <h4 class="card-title">{{ produccion.titulo}}</h4>
                        <p class="card-text">
                        <ul>
                            <li>Estreno: {{ produccion.estreno}}</li>
                            <li>Puntuación: {{ produccion.puntuacion}}</li>
                            <li>Nacionalidad: {{produccion.nacionalidad}}</li>
                                {# recorremos las franquicias cuya coleccion ya viene en la produccion que extrajimos con un simple findAll() de Doctrine #}
                                {% for franquicias in produccion.idFranquicia %}
                                    {% if(franquicias.franquicia!=null) %}
                                    <li>Franquicia: {{ franquicias.franquicia}}</li>
                                    {% endif%}
                                {% endfor %}

                        </ul>
                        </p>
                        <a class="btn btn-primary" data-toggle="collapse" href="#collapseReparto{{produccion.idProduccion}}" role="button" aria-expanded="false" aria-controls="collapseReparto">
                            Ver reparto
                        </a>
                        <div class="collapse" id="collapseReparto{{produccion.idProduccion}}">
                            <div class="card card-body">
                                <ul>
                                    {% for artista in produccion.idArtista %}   
                                        <li>{{artista.artista}}</li>
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                        <div class="card-footer">
                            {% set cont=0 %}
                            <small class="text-muted">
                                {% for gen in produccion.idGenero %}

                                    {% set cont=cont+1 %}
                                    {% if cont < produccion.idGenero|length %}
                                        {{gen.genero~","}}
                                    {%else%}
                                        {{gen.genero}}
                                    {% endif %}
                                {% endfor %}
                            </small>
                        </div>
                    </div>
                </div>
            </a>
        {% endfor %}
    </div>
{% endblock %}
